Skip to content

Get package asset site references

GET
/api/references/{configId}/_package/{packageName}/{assetId}/sites
curl --request GET \
--url https://example.com/api/references/example/_package/example/example/sites \
--header 'Authorization: Bearer <token>'

Retrieves all sites that reference a content item within a package

configId
required

Repository configuration ID

string
packageName
required

Package name

string
assetId
required

Asset ID

string

Site references retrieved successfully

Media typeapplication/json
Array<object>
object
siteId
required

Site ID

string
siteName
required

Site name

string
sectionName
required

Section name within the site

string
sectionSlug
required

Section URL slug

string
path

Full ancestor-section path from the top level down to the containing section

Array<object>
object
name
required

Section name

string
slug

Section URL slug

string | null
pageName

Name of the page within the section

string | null
pageSlug

Slug of the page within the section

string | null
isRoot

Whether this page is the section’s root page (so it isn’t repeated in the breadcrumb)

boolean
packageName

Package name if applicable

string | null
Examplegenerated
[
{
"siteId": "example",
"siteName": "example",
"sectionName": "example",
"sectionSlug": "example",
"path": [
{
"name": "example",
"slug": "example"
}
],
"pageName": "example",
"pageSlug": "example",
"isRoot": true,
"packageName": "example"
}
]

Item not found

Media typeapplication/json
object
error
required

Indicates an error occurred

boolean
message
required

Error message describing what went wrong

string
Example
{
"error": true,
"message": "Item not found"
}